Page MenuHomePhabricator

MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-viewer' (and other multimediaviewer keys)
Closed, ResolvedPublic

Description

The https://logstash.wikimedia.org/#/dashboard/elasticsearch/resourceloader dashboard is filled with almost exclusively errors from MultimediaViewer about non-existent message keys being referenced.

MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-viewer' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-filepage' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-viewer' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-filepage' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-license-cc-by-sa-3.0-migrated' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-description-page-popup-text-local' (pt-br)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-viewer' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-viewer' (ja)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-filepage' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-header-filepage' (ja)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-viewer' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-viewer' (ja)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-filepage' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-option-desc-filepage' (ja)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-license-cc-by-sa-3.0-migrated' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-license-cc-by-sa-3.0-migrated' (ja)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-description-page-popup-text-local' (zh)
MessageBlobStore::fetchMessage failed to find: 'multimediaviewer-description-page-popup-text-local' (ja)

At least multimediaviewer-option-header-viewer doesn't seem to exist at all in i18n/en.json and was probably deleted at some point. I haven't checked the others.

Event Timeline

Krinkle created this task.Nov 17 2015, 6:25 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 6:25 AM
KLans_WMF triaged this task as Low priority.Nov 19 2015, 5:55 PM
KLans_WMF set Security to None.

Change 271963 had a related patch set uploaded (by Krinkle):
Fix resourceloader message fetch warnings

https://gerrit.wikimedia.org/r/271963

Change 271963 merged by jenkins-bot:
Fix resourceloader message fetch warnings

https://gerrit.wikimedia.org/r/271963

Change 271985 had a related patch set uploaded (by Krinkle):
Fix resourceloader message fetch warnings

https://gerrit.wikimedia.org/r/271985

Change 271985 merged by jenkins-bot:
Fix resourceloader message fetch warnings

https://gerrit.wikimedia.org/r/271985

Krinkle closed this task as Resolved.Feb 21 2016, 1:39 AM

Change 273010 had a related patch set uploaded (by Krinkle):
Message 'multimediaviewer-description-page-popup-text-local' doesn't exist

https://gerrit.wikimedia.org/r/273010

Change 273010 merged by jenkins-bot:
Message 'multimediaviewer-description-page-popup-text-local' doesn't exist

https://gerrit.wikimedia.org/r/273010